Subject: bug#38196: closed (Re: bug#38196: Mistaken warning "guix pull was never run")

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 24 Mar 2020 17:57:01 +0000

Your bug report

#38196: Mistaken warning "guix pull was never run"

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38196: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38196
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38196: Mistaken warning "guix pull was never run"
From: Ludovic Courtès <[email-masked]>
To: "pelzflorian \(Florian Pelz\)" <[email-masked]>
Cc: [email-masked]
Date: Tue, 24 Mar 2020 18:56:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> Hello!  I installed Guix on a new system.  Like
>
> info "(guix) After System Installation"
>
> I do `guix pull` and then the next command prints a warning.
>
> $ sudo guix system reconfigure /etc/config.scm
> Password: 
> guix system: warning: /root/.config/guix/current not found: 'guix pull' was never run
> guix system: warning: Consider running 'guix pull' before 'reconfigure'.
> guix system: warning: Failing to do that may downgrade your system!
>
> It should not print a warning because the running guix is not
> outdated.

Fixed in 637db76d7ad1af5323a6a6b87b8a6a2e6dfed754.

Thanks,
Ludo’.

Subject: Mistaken warning "guix pull was never run"
From: "pelzflorian (Florian Pelz)" <[email-masked]>
To: [email-masked]
Date: Wed, 13 Nov 2019 15:08:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!  I installed Guix on a new system.  Like

info "(guix) After System Installation"

I do `guix pull` and then the next command prints a warning.

$ sudo guix system reconfigure /etc/config.scm
Password: 
guix system: warning: /root/.config/guix/current not found: 'guix pull' was never run
guix system: warning: Consider running 'guix pull' before 'reconfigure'.
guix system: warning: Failing to do that may downgrade your system!

It should not print a warning because the running guix is not
outdated.

Regards,
Florian